<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package TOURIMO
 * @since TOURIMO 1.0.10
 */

// Footer sidebar
$tourimo_footer_name    = tourimo_get_theme_option( 'footer_widgets' );
$tourimo_footer_present = ! tourimo_is_off( $tourimo_footer_name ) && is_active_sidebar( $tourimo_footer_name );
if ( $tourimo_footer_present ) {
	tourimo_storage_set( 'current_sidebar', 'footer' );
	$tourimo_footer_wide = tourimo_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $tourimo_footer_name ) ) {
		dynamic_sidebar( $tourimo_footer_name );
	}
	$tourimo_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $tourimo_out ) ) {
		$tourimo_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $tourimo_out );
		$tourimo_need_columns = true;   //or check: strpos($tourimo_out, 'columns_wrap')===false;
		if ( $tourimo_need_columns ) {
			$tourimo_columns = max( 0, (int) tourimo_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $tourimo_columns ) {
				$tourimo_columns = min( 4, max( 1, tourimo_tags_count( $tourimo_out, 'aside' ) ) );
			}
			if ( $tourimo_columns > 1 ) {
				$tourimo_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $tourimo_columns ) . ' widget', $tourimo_out );
			} else {
				$tourimo_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $tourimo_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'tourimo_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $tourimo_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $tourimo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'tourimo_action_before_sidebar', 'footer' );
				tourimo_show_layout( $tourimo_out );
				do_action( 'tourimo_action_after_sidebar', 'footer' );
				if ( $tourimo_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $tourimo_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'tourimo_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
